/* error page styles - reduced generic Contra CSS */
/*********************************************************************************************
reset.css
**********************************************************************************************/
/* Generic CSS reset */
html, body, h1, h2, h3, h4, h5, h6, p, table, tbody, tr, td, input {
    margin: 0;
    padding: 0;
}

html {
    height: 100%;
}

ul {
    padding: 0 0 0 15px;
    margin: 0;
}

#gk-main:before,
#gk-main:after,
#gk-message:before,
#gk-message:after,
#content:before,
#content:after,
.gk-box:before,
.gk-box:after {
    content: "";
    display: table;
}

#gk-main:after,
#gk-message:after,
#content:before,
#content:after,
.gk-box:before,
.gk-box:after {
    clear: both;
}

input[type="text"],
input[type="password"],
input[type="button"],
input[type="submit"] {
    border-radius: 0;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    border: none;
}

/* Mobile reset */
body {
    -webkit-text-size-adjust: none;
}

input[type="text"],
input[type="password"],
input[type="button"],
input[type="submit"] {
    -webkit-appearance: none;
}

/* jQuery Mobile override */
.ui-page-theme-a a, html .ui-bar-a a, html .ui-body-a a, html body .ui-group-theme-a a,
.ui-btn, label.ui-btn {
    font-weight: normal !important;
}

/*********************************************************************************************
base.css
**********************************************************************************************/

/* - For tablet(landscape), laptop and pc */
/*********************************************************************************************
structure-lt.css
**********************************************************************************************/
@media screen and (min-width: 641px) {
    /* Basic framework blocks Level 1 */
    #landingpane {
        width: 800px;
        margin: 0 auto;
        position: relative;
    }

    /* Basic framework blocks Level 2 */
    #header {
        min-height: 90px;
    }

    #content {
        width: 100%;
        padding: 0;
        margin: 0;
        position: relative;
    }

    #footer {
        clear: both;
        height: 18px;
        margin-top: -4px;
        padding: 15px 2% 0;
    }

    /* Basic framework blocks Level 3 */
    #gk-title {
        display: block;
        float: left;
        height: 80px;
        width: 200px;
        margin: 5px 8px;
    }

    #gk-intro, #gk-main, #footer {
        padding: 15px 2%;
    }

    #gk-intro {
        width: 96%;
    }

    #gk-language {
        float: right;
        margin: 0 8px 0 0;
    }

    #gk-main {
        z-index: 100;
        overflow: hidden;
        padding: 25px 4% 12px;
        width: 92%;
        position: relative;
    }

    #gk-main {
        min-height: 220px;
    }

    #gk-customer-content {
        width: 100%;
        z-index: 1;
        margin-bottom: 0;
        background-color: #333333;
    }

    .warning {
        max-width: 640px;
    }

}

/* - For mobile devices */
/*********************************************************************************************
  structure-m.css
**********************************************************************************************/
@media screen and (max-width: 640px) {

    body {
        background-position: center bottom;
        background-size: 70% auto;
    }

    /* Basic framework blocks Level 1 */
    #landingpane {
        width: 100%;
        max-width: 480px;
        min-width: 320px;
        margin: 0 auto;
    }

    /* Basic framework blocks Level 2 */
    #header {
        min-height: 78px;
    }

    #content {
        margin: 0;
        padding: 0;
        position: relative;
        width: 100%;
    }

    #footer {
        clear: both;
        height: 18px;
        margin-top: 0;
        padding: 10px 2% 10px;
    }

    /* Basic framework blocks Level 3 */
    #gk-title {
        display: block;
        float: left;
        height: 68px;
        width: 150px;
        margin: 5px 8px;
    }

    #gk-intro, #gk-main {
        padding: 8px 2%;
    }

    #gk-intro {
        width: 96%;
    }

    #gk-language {
        float: right;
        margin: 0 8px 0 0;
    }

    #gk-main {
        width: 93%;
        padding: 14px 3.5% 12px;
        margin-bottom: 0;
        z-index: 100;
        overflow: hidden;
    }

    #gk-language a {
        display: block;
        margin: 0 0 1px;
    }

    #gk-customer-content {
        margin-bottom: 0;
        width: 100%;
        z-index: 1;
    }
}

/* Basic text formatting */
/*********************************************************************************************
typography.css
**********************************************************************************************/
body, h1, h2, h3, h4, h5, p, #gk-main p a, strong, b, i, em, li, #footer, #footer a,
div.gk-label, .ui-mobile #content label, #ui-intro-1, #ui-intro-2, a.link-lost-passwd-1,
#gk-message u, #gk-message ul li, #gk-message * {
    font-size: 14px;
    color: #000000;
    font-family: Arial, sans-serif !important;
}

h1, h2, h3, h4, h5, .ui-btn, .ui-btn b, .flow-option .ui-btn, a.link-profile-create-1 {
    font-size: 16px;
}

p, .ui-intro-1 {
    line-height: 20px;
}

a, a:hover {
    color: blue;
    text-decoration: underline;
}

a:hover,
div.ui-btn:hover {
    opacity: 0.75;
    filter: alpha(opacity=75);
    cursor: pointer;
}

.message a,
.message a:hover {
    color: #ff0000;
}

h1, h2, h3, h4, h5, h6 {
    margin-bottom: 0.8em;
}

.ui-selectmenu .ui-selectmenu-list a.ui-btn {
    text-align: center;
}

/* Specific texts */
#gk-title {
    color: #000000;
}

#footer, #footer a {
    font-size: 12px;
}

.ui-mobile #content label {
    letter-spacing: -0.32px;
}

/*  Error page specific CSS */
body {
    background: url('/error/error-gears-trans.png') no-repeat right bottom;
    background-size: 55% auto;
    height: 100%;
}

#landingpane {
    width: 100% !important;
}

#gk-main {
    padding-bottom: 48px;
}

#landingpane, #header, #content #footer {
    background-color: transparent !important;
}

body, p, #footer, #footer a, h1 {
    color: rgba(20, 20, 20, 1);
    font-size: 1.2em;
    line-height: 1.6em;
}

#gk-language {
    display: block;
    padding-top: 8px;
}

select {
    font-family: Arial, sans-serif !important;
    font-size: 0.7em;
}

.content, #gk-language {
    display: none;
}

.content.en.cp {
    display: block;
}

.warning {
    color: red;
}

